Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.identity
Class UserGroupLifeCycleManagerDecorator

    java.lang.Object
      org.jbpm.services.task.identity.UserGroupLifeCycleManagerDecorator

All Implemented Interfaces:
  LifeCycleManager

    public class UserGroupLifeCycleManagerDecorator

extends Object
implements LifeCycleManager

Constructor Summary
`UserGroupLifeCycleManagerDecorator()`
`UserGroupLifeCycleManagerDecorator(UserGroupCallback callback, LifeCycleManager manager)`

Method Summary
`LifeCycleManager` | `getManager()`
`void` | `setManager(LifeCycleManager manager)`
`void` | `setUserGroupCallback(UserGroupCallback userGroupCallback)`
`void` | `taskOperation(org.kie.internal.task.api.model.Operation operation, long taskId, String userId, String targetEntityId, Map<String,Object> data, List<String> groupIds, OrganizationalEntity... entities)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserGroupLifeCycleManagerDecorator

    public UserGroupLifeCycleManagerDecorator()

### UserGroupLifeCycleManagerDecorator

    public UserGroupLifeCycleManagerDecorator(UserGroupCallback callback,
                                              LifeCycleManager manager)

Method Detail

### setManager

    public void setManager(LifeCycleManager manager)

### setUserGroupCallback

    public void setUserGroupCallback(UserGroupCallback userGroupCallback)

### getManager

    public LifeCycleManager getManager()

### taskOperation

    public void taskOperation(org.kie.internal.task.api.model.Operation operation,
                              long taskId,
                              String userId,
                              String targetEntityId,
                              Map<String,Object> data,
                              List<String> groupIds,
                              OrganizationalEntity... entities)
                       throws org.kie.internal.task.exception.TaskException

  Specified by:
    `taskOperation` in interface `LifeCycleManager`
  Throws:
    `org.kie.internal.task.exception.TaskException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.